#ifndef EXCEPTIONS_H
#define EXCEPTIONS_H
#include <string>
#include <boost/exception/all.hpp>

typedef boost::error_info<struct tag_Message, std::string> MessageErrInfo;

class Exception : public boost::exception, public std::exception {};

class UnsupportedFeature : public Exception {};

class CVException :public Exception{};


#endif // EXCEPTIONS_H
